# Astuces Firefox

## Bookmark dynamique

Créer un bookmark vers une URL du type <https://www.google.fr/?q=%s> avec le "keyword" gg

Vous pouvez ainsi chercher dans votre toolbar : `gg test`

et vous aurez une recherche Google !

## Avoir un Flash récent

Le support de Flash pour Linux se poursuit avec "Pepper Flash Player" qui est désormais téléchargeable sur https://get.adobe.com/flashplayer/otherversions/. Pepper Flash Player est actuellement uniquement utilisable avec Chromium (et avec Chrome) [https://wiki.debian.org/fr/PepperFlashPlayer]. Freshplayerplugin permet à Iceweasel d’utiliser le plugin flash de Chromium : pepperflashplugin-nonfree. 

~~~
# mkdir /usr/lib/pepperflashplugin-nonfree/
# cp libpepflashplayer.so /usr/lib/pepperflashplugin-nonfree/
# apt install browser-plugin-freshplayer-pepperflash
~~~

Note : browser-plugin-freshplayer-pepperflash est dans jessie-backports

## Alternative pour avoir un Flash récent (de Adobe)

On se base sur le dernier .tar.gz sur https://get.adobe.com/flashplayer/download/ (par exemple en 64bits : https://get.adobe.com/flashplayer/download/?installer=FP_26.0_for_Linux_64-bit_(.tar.gz)_-_NPAPI&sType=6603&standalone=1 qu'on suppose uploadé sur http://download.evolix.net/XXX/flash_player_npapi_linux.x86_64.tar.gz)

~~~
# wget http://download.evolix.net/XXX/flash_player_npapi_linux.x86_64.tar.gz
# tar xvzf flash_player_npapi_linux.x86_64.tar.gz 
# cp libflashplayer.so /usr/lib/flashplugin-nonfree
# chmod 644 /usr/lib/flashplugin-nonfree/libflashplayer.so
# chown root:root /usr/lib/flashplugin-nonfree/libflashplayer.so
# update-alternatives --quiet --install /usr/lib/mozilla/plugins/flash-mozilla.so flash-mozilla.so /usr/lib/flashplugin-nonfree/libflashplayer.so 50
~~~

Note : update-alternatives --list flash-mozilla.so doit retourner /usr/lib/flashplugin-nonfree/libflashplayer.so



## plugin Java

~~~
# apt install icedtea-7-plugin
~~~

## Gestionnaire de profils

~~~
$ firefox --ProfileManager
~~~


## Forcer l'affichage en punycode des noms de domaines internationalisés 

Aller dans about:config et forcer `network.IDN_show_punycode` à `true`

